<div class="row bgcolor">
  <div class="col-md-12">
    <h3>Your Personal Details</h3>
  </div>
</div>
<div class="row pt-3">
  <div class="col">
    <form [formGroup]="yourPersonalDetailsForm">
      <div class="d-flex">
        <div class="form-group">
          <label for="">Height:</label>
          <input
            type="number"
            class="form-control-sm"
            name="height"
            formControlName="height"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="height.invalid && height.touched"
          >
            Height Required
          </div>
        </div>
        <div class="form-group mx-3">
          <label for="">Eye Color</label>
          <input
            type="text"
            class="form-control-sm"
            name="eyeColor"
            formControlName="eyeColor"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="eyeColor.invalid && eyeColor.touched"
          >
            Eye ColorRequired
          </div>
        </div>
      </div>
      <div class="form-group d-flex pt-2">
        <label for="">Email: </label>
        <input
          type="email"
          class="form-control"
          name="email"
          formControlName="email"
        />
        <div
          class="alert alert-danger text-center"
          *ngIf="email.invalid && email.touched"
        >
          Email Required
        </div>
      </div>
      <div class="d-flex pt-2">
        <label for="">Status:</label>
        <div class="form-check mx-3" *ngFor="let item of statusCheck">
          <input
            class="form-check-input"
            type="radio"
            name="status"
            value="{{ item }}"
            formControlName="status"
          />
          <label class="form-check-label" for=""> {{ item }}</label>
          <div
            class="alert alert-danger text-center"
            *ngIf="status.invalid && status.touched"
          >
            Status Required
          </div>
        </div>
      </div>

      <h4 class="pt-4">Address Where you live</h4>
      <div class="d-flex">
        <div class="form-group">
          <label for="">Unit Code</label>
          <input
            type="number"
            class="form-control w-50"
            name="unitCode"
            formControlName="unitCode"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="unitCode.invalid && unitCode.touched"
          >
            Unit Code Required
          </div>
        </div>
        <div class="form-group">
          <label for="">Street No</label>
          <input
            type="number"
            class="form-control w-50"
            formControlName="streetNo"
            name="streetNo"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="streetNo.invalid && streetNo.touched"
          >
            Street No Required
          </div>
        </div>
        <div class="form-group">
          <label for="">Street</label>
          <input
            type="text"
            class="form-control w-100"
            formControlName="street"
            name="street"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="street.invalid && street.touched"
          >
            Street Required
          </div>
        </div>
      </div>

      <div class="d-flex">
        <div class="form-group">
          <label for="">Town City</label>
          <input
            type="text"
            class="form-control w-100"
            formControlName="townCity"
            name="townCity"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="townCity.invalid && townCity.touched"
          >
            Town City Required
          </div>
        </div>
        <div class="form-group mx-2">
          <label for="">State</label>
          <input
            type="text"
            class="form-control w-50"
            formControlName="state"
            name="state"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="state.invalid && state.touched"
          >
            State Required
          </div>
        </div>
        <div class="form-group">
          <label for="">Post Code</label>
          <input
            type="number"
            class="form-control w-50"
            formControlName="postCode"
            name="postCode"
          />
          <div
            class="alert alert-danger text-center"
            *ngIf="postCode.invalid && postCode.touched"
          >
            Post Code Required
          </div>
        </div>
      </div>

      <div class="form-group d-flex pt-3">
        <label for="">Country: </label>
        <input
          type="text"
          class="form-control"
          formControlName="country"
          name="country"
        />
        <div
          class="alert alert-danger text-center"
          *ngIf="country.invalid && country.touched"
        >
          Country Required
        </div>
      </div>
      <!-- <button
        class="btn btn-sm btn-danger mt-2"
        (click)="getData()"
        [disabled]="!yourPersonalDetailsForm.valid"
      >
        Submit
      </button> -->
    </form>
  </div>
</div>

<!-- <div class="row">
  <div class="col-md-12">
    <app-child-your-personal-details
      [selectedValue]="parentData"
    ></app-child-your-personal-details>
  </div>
</div> -->
